; PLL
PCTL_PD_VAL			EQU		3
PCTL_DF_VAL			EQU		1
PCTL_MF_VAL			EQU		100

PCTL_CFG			EQU		\
(((PCTL_PD_VAL-1)<<PCTL_PD0)&PCTL_PD_MASK)|\
PCTL_CLKOUT_DIS|\
PCTL_PLL_EN|\
PCTL_PLL_STOP_EN|\
PCTL_XTAL_DIS|\
PCTL_XTAL_HFREQ|\
((@CVI(@LOG(PCTL_DF_VAL)/@LOG(2))<<PCTL_DF0)&PCTL_DF_MASK)|\
((PCTL_MF_VAL-1)&PCTL_MF_MASK)

; OMR
OMR_CFG				EQU		\
OMR_STACK_EXT_DIS|\
OMR_STACK_EXT_X|\
OMR_ADDR_TRACE_DIS|\
OMR_AAP_DIS|\
OMR_DPL_LOW|\
OMR_MEM_SW_EN|\
OMR_STP_DLY_LONG|\
OMR_EXT_BUS_EN|\
OMR_RSVD_VAL

; SR
SR_CFG				EQU		\
SR_CPL_3|\
SR_CNVRGNT_RND|\
SR_SAT_MODE_DIS|\
SR_16BIT_ARITH_DIS|\
SR_DOUBLE_MPY_DIS|\
SR_16BIT_MODE_DIS|\
SR_NO_SCALING|\
SR_INT_MASK_3

; IPRC
IPRC_CFG			EQU		\
IPRC_DMA5_IPL_DIS|\
IPRC_DMA4_IPL_DIS|\
IPRC_DMA3_IPL_DIS|\
IPRC_DMA2_IPL_DIS|\
IPRC_DMA1_IPL_DIS|\
IPRC_DMA0_IPL_DIS|\
IPRC_IRQD_LEVEL|\
IPRC_IRQD_IPL_DIS|\
IPRC_IRQB_LEVEL|\
IPRC_IRQB_IPL_DIS|\
IPRC_IRQA_LEVEL|\
IPRC_IRQA_IPL_DIS

; IPRP
IPRP_CFG			EQU		\
IPRP_SHI_IPL_0|\
IPRP_ESAI_IPL_2

; HCKR
HCKR_CFG			EQU		\
HCKR_NRF_WDESPKE|\
HCKR_DIVBY8_EN|\
HCKR_SCK_LOW_FE

; HCSR
HCSR_CFG			EQU		\
HCSR_RXINT_FULL|\
HCSR_TXINT_DIS|\
HCSR_BEINT_DIS|\
HCSR_HREQ_RDYTXRX|\
HCSR_SLV_MODE|\
HCSR_1LEV_FIFO|\
HCSR_I2C_FZCLK_DIS|\
HCSR_24BIT_DATA|\
HCSR_SPI_MODE|\
HCSR_SHI_EN

; TCCR
TCCR_HFCLKDIV		EQU		4
TCCR_FRAMERTDIV		EQU		2
TCCR_PRESCALE		EQU		5

TCCR_CFG			EQU		\
TCCR_HFCLK_OUT|\
TCCR_FRAMESYN_OUT|\
TCCR_CLKSRC_INT|\
TCCR_HFCLKPOL_NEG|\
TCCR_FRAMEPOL_NEG|\
TCCR_TXCLKPOL_NEG|\
(((TCCR_HFCLKDIV-1)<<TCCR_TFP0)&TCCR_TFP_MASK)|\
((((TCCR_FRAMERTDIV-1))<<TCCR_TDC0)&TCCR_TDC_MASK)|\
TCCR_DIVBY8_DIS|\
((TCCR_PRESCALE-1)&TCCR_TPM_MASK)

; TCR
TCR_SLOTWRDLEN		EQU		%11111

TCR_CFG				EQU		\
TCR_LASTSLOTINT_DIS|\
TCR_TXINT_DIS|\
TCR_EVENSLOTINT_DIS|\
TCR_EXCEPTINT_DIS|\
TCR_ZEROPAD_EN|\
TCR_FSYN_FIRSTBIT|\
TCR_WORDLEN_FSYN|\
((TCR_SLOTWRDLEN<<TCR_TSWS0)&TCR_TSWS_MASK)|\
TCR_MODE_NETWORK|\
TCR_WRDALGN_RIGHT|\
TCR_SHFT_MSB_FRST|\
TCR_TX5_DIS|\
TCR_TX4_DIS|\
TCR_TX3_DIS|\
TCR_TX2_DIS|\
TCR_TX1_DIS|\
TCR_TX0_DIS

; RCCR
RCCR_HFCLKDIV		EQU		4
RCCR_FRAMERTDIV		EQU		2
RCCR_PRESCALE		EQU		5

RCCR_CFG			EQU		\
RCCR_HFCLK_INT|\
RCCR_FRAMESYN_INT|\
RCCR_CLKSRC_INT|\
RCCR_HFCLKPOL_NEG|\
RCCR_FRAMEPOL_NEG|\
RCCR_RXCLKPOL_NEG|\
(((RCCR_HFCLKDIV-1)<<RCCR_RFP0)&RCCR_RFP_MASK)|\
((((RCCR_FRAMERTDIV-1))<<RCCR_RDC0)&RCCR_RDC_MASK)|\
RCCR_DIVBY8_DIS|\
((RCCR_PRESCALE-1)&RCCR_RPM_MASK)

; RCR
RCR_SLOTWRDLEN		EQU		%11111

RCR_CFG				EQU		\
RCR_LASTSLOTINT_DIS|\
RCR_RXINT_EN|\
RCR_EVENSLOTINT_EN|\
RCR_EXCEPTINT_EN|\
RCR_FSYN_FIRSTBIT|\
RCR_WORDLEN_FSYN|\
((RCR_SLOTWRDLEN<<RCR_RSWS0)&RCR_RSWS_MASK)|\
RCR_MODE_NETWORK|\
RCR_WRDALGN_LEFT|\
RCR_SHFT_MSB_FRST|\
RCR_RX3_DIS|\
RCR_RX2_DIS|\
RCR_RX1_DIS|\
RCR_RX0_DIS

; SAICR
SAICR_CFG			EQU		\
SAICR_23BIT_ALIGN|\
SAICR_EXTBUFF_DIS|\
SAICR_SYNCMODE_EN

; BCR
BUS_WAIT_STATES		EQU		1
AREA0_WAIT_STATES	EQU		5
AREA1_WAIT_STATES	EQU		5
AREA2_WAIT_STATES	EQU		1
AREA3_WAIT_STATES	EQU		1

BCR_CFG				EQU		\
BCR_BR_HOLD_DIS|\
BCR_BL_HOLD_DIS|\
((BUS_WAIT_STATES<<BCR_BDFW0)&BCR_BDFW_MASK)|\
((AREA3_WAIT_STATES<<BCR_BA3W0)&BCR_BA3W_MASK)|\
((AREA2_WAIT_STATES<<BCR_BA2W0)&BCR_BA2W_MASK)|\
((AREA1_WAIT_STATES<<BCR_BA1W0)&BCR_BA1W_MASK)|\
((AREA0_WAIT_STATES<<BCR_BA0W0)&BCR_BA0W_MASK)

; External Memory
EXT_MEM_START		EQU		$080000
EXT_MEM_END			EQU		$0FFFFF

; AAR0
AAR0_BAC			EQU		$0C0
AAR0_BNC			EQU		$6

AAR0_CFG			EQU		\
((AAR0_BAC<<AAR_BAC0)&AAR_BAC_MASK)|\
((AAR0_BNC<<AAR_BNC0)&AAR_BNC_MASK)|\
AAR_PACK_EN|\
AAR_ADDR_MUX_DIS|\
AAR_Y_DATA_DIS|\
AAR_X_DATA_EN|\
AAR_P_DATA_DIS|\
AAR_AA_ACTV_HIGH|\
AAR_SRAM_ACCESS

; AAR1
AAR1_BAC			EQU		$080
AAR1_BNC			EQU		$5

AAR1_CFG			EQU		\
((AAR1_BAC<<AAR_BAC0)&AAR_BAC_MASK)|\
((AAR1_BNC<<AAR_BNC0)&AAR_BNC_MASK)|\
AAR_PACK_EN|\
AAR_ADDR_MUX_DIS|\
AAR_Y_DATA_DIS|\
AAR_X_DATA_EN|\
AAR_P_DATA_DIS|\
AAR_AA_ACTV_LOW|\
AAR_SRAM_ACCESS
